Bug 1539153 - CVE-2018-6197 w3m: Null pointer dereference in formUpdateBuffer in form.c [epel-7]
Summary: CVE-2018-6197 w3m: Null pointer dereference in formUpdateBuffer in form.c [ep...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: w3m
Version: epel7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-6197
TreeView+ depends on / blocked
 
Reported: 2018-01-26 19:28 UTC by Pedro Sampaio
Modified: 2018-02-13 15:58 UTC (History)
2 users (show)

Fixed In Version: w3m-0.5.3-36.git20180125.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-13 15:58:29 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-01-26 19:28:29 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-7.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Pedro Sampaio 2018-01-26 19:28:33 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1539151,1539153

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-01-29 11:00:00 UTC
w3m-0.5.3-36.git20180125.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fb68becde7

Comment 3 Fedora Update System 2018-01-29 18:44:19 UTC
w3m-0.5.3-36.git20180125.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fb68becde7

Comment 4 Fedora Update System 2018-02-13 15:58:29 UTC
w3m-0.5.3-36.git20180125.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.